Wallet balances
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/wallet-balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/wallet-balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/wallet-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balances": [
{
"country": "ZMB",
"balance": "21798.03",
"currency": "ZMW",
"provider": ""
},
{
"country": "UGA",
"balance": "10798.03",
"currency": "UGX",
"provider": ""
}
]
}{
"failureReason": {
"failureCode": "AUTHENTICATION_ERROR",
"failureMessage": "The API token in the request is invalid."
}
}{
"failureReason": {
"failureCode": "AUTHORISATION_ERROR",
"failureMessage": "The API token in the request is not authorised for this endpoint."
}
}{
"failureReason": {
"failureCode": "UNKNOWN_ERROR",
"failureMessage": "Unable to process request due to an unknown problem."
}
}Finances
Wallet balances
GET
/
v2
/
wallet-balances
Wallet balances
Allows you to get the list of wallets and their balances configured for your PawaPay account.
Authorizations
See Authentication.
Query Parameters
Response
Request has been succesfully processed.
List of wallet balances
Show child attributes
Show child attributes
Was this page helpful?
⌘I